[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| Functors |
--- | --- | ---

## Classes
class | FunctorTraits
| Export associated information for a functor. More...

## Define Documentation

#define VIGRA_DEFINE_STL_FUNCTOR | ( | name,
|  | unary,
|  | binary |  | ) |

| Value:
    template <class T> \
    class FunctorTraits<name<T> > \
    { \
      public: \
        typedef T type; \
         \
        typedef VigraFalseType isInitializer; \
         \
        typedef unary          isUnaryFunctor; \
        typedef binary         isBinaryFunctor; \
        typedef VigraFalseType isTernaryFunctor; \
         \
        typedef VigraFalseType isUnaryAnalyser; \
        typedef VigraFalseType isBinaryAnalyser; \
        typedef VigraFalseType isTernaryAnalyser; \
    };

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.3.2 (27 Jan 2005)